%define full_name	jakarta-%{name}
%define homedir		/var/tomcat4
%define program		tomcat4

Name:           tomcat
Version:        4.1.18
Release:        1.2.1
Summary:        Apache Servlet/JSP Engine, RI for Servlet 2.3/JSP 1.2 API
License:        GPL
Distribution:   EnGarde Secure Linux
Group:          Networking/Daemons
URL:		http://jakarta.apache.org/tomcat/
Source0:        http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v%{version}/src/jakarta-%{name}-%{version}.tar.gz
Source1:	tomcat4-4.1.conf
Source2:	tomcat4-4.1.init
Source3:	tomcat4-4.1.logrotate
Patch0:		tomcat4-4.1.18.patch
Buildarch:      i386
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         Guardian Digital Inc.

Requires:	java
Requires:	xerces-j2 >= 2.2.1
Requires:	ant >= 1.5
Requires:	jaxp_parser_impl
Requires:	xml-commons-apis

%description
Server that conforms to the Servlet 2.3 and JSP 1.2 
specifications from Java Software.

Develop Web applications in Java.

%prep
%setup -n jakarta-tomcat-4.1.18
%patch -p0

%build

%install

mkdir -p $RPM_BUILD_ROOT/var
mkdir -p $RPM_BUILD_ROOT%{homedir}
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d

# install tomcat
mv * $RPM_BUILD_ROOT/var/tomcat4/

# remove some unnecessary garbage
rm -f $RPM_BUILD_ROOT/var/%{program}/bin/*.bat
rm -f $RPM_BUILD_ROOT/var/%{program}/bin/tomcat.exe

# init and logging
install %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/%{program}
install %{SOURCE1} $RPM_BUILD_ROOT/var/%{name}4/conf/%{program}.conf

# install logrotate support
install %{SOURCE3} ${RPM_BUILD_ROOT}/etc/logrotate.d/%{program}


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{program}
echo ""
echo "Don't forget to setup the environment vars in %{homedir}/conf/tomcat4.conf to"
echo "adapt the RPM to your configuration."
echo ""
echo "tomcat4 service is installed but not activated by default."

%preun
    if [ -f /var/lock/subsys/%{program} ]; then
        /etc/init.d/%{program} stop
    fi
    if [ -f /etc/init.d/%{program} ]; then
        /sbin/chkconfig --del %{program}
    fi


%postun
if [ -d /var/%{program} ]; then
    rm -rf /var/%{program} &>/dev/null
    echo "Removed %{program} dir"
 fi

%files
%{homedir}
%attr( -, root,root)				/etc/logrotate.d/%{program}
%attr(750,root,root)	%config			/etc/init.d/%{program}


%changelog
* Wed Jan 8 2003 Eric B. Lubow <eric@guardiandigital.com> 1.2.1
- Build on an EnGarde 1.0.1 system
